OGRE-Next: Ogre::RenderTargetViewEntry Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::RenderTargetViewEntry Struct Reference
Core » Effects

`#include <OgreTextureDefinition.h>`

## Public Member Functions
| RenderTargetViewEntry ()

## Public Attributes
bool | colourAllLayers
| See RenderPassColourTarget::allLayers.
uint8 | mipLevel
uint8 | resolveMipLevel
uint16 | resolveSlice
IdString | resolveTextureName
| Can be left blank if texture is implicitly resolved (will be filled automatically) But must be present if the texture in textureName is explicitly resolved and StoreAction is set to Resolve.
uint16 | slice
IdString | textureName

## Constructor & Destructor Documentation

## ◆ RenderTargetViewEntry()

Ogre::RenderTargetViewEntry::RenderTargetViewEntry | ( |  | ) |
| inline

References colourAllLayers, mipLevel, resolveMipLevel, resolveSlice, and slice.

## Member Data Documentation

## ◆ colourAllLayers

bool Ogre::RenderTargetViewEntry::colourAllLayers

See RenderPassColourTarget::allLayers.

Referenced by RenderTargetViewEntry().

## ◆ mipLevel

uint8 Ogre::RenderTargetViewEntry::mipLevel

Referenced by RenderTargetViewEntry().

## ◆ resolveMipLevel

uint8 Ogre::RenderTargetViewEntry::resolveMipLevel

Referenced by RenderTargetViewEntry().

## ◆ resolveSlice

uint16 Ogre::RenderTargetViewEntry::resolveSlice

Referenced by RenderTargetViewEntry().

## ◆ resolveTextureName

IdString Ogre::RenderTargetViewEntry::resolveTextureName

Can be left blank if texture is implicitly resolved (will be filled automatically) But must be present if the texture in textureName is explicitly resolved and StoreAction is set to Resolve.

## ◆ slice

uint16 Ogre::RenderTargetViewEntry::slice

Referenced by RenderTargetViewEntry().

## ◆ textureName

IdString Ogre::RenderTargetViewEntry::textureName

The documentation for this struct was generated from the following file:

- OgreTextureDefinition.h